# Learning JSON

BetterForms is heavily dependent on JSON for nearly all of its functionality, so knowing how JSON works is crucial to understanding BetterForms. Luckily, if you're new to JSON it's easy to learn!

Here are some great articles from around the web that can help your understanding

* **Intro to JSON** - <https://filemakerhacks.com/2018/04/23/thinking-about-json-part-1/>
* **Using FileMaker's JSON functions** - <https://luminfire.com/2017/09/30/filemaker-16s-new-json-functions/>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/getting-started/support/learning-json.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
